Summary: A malsync (AvantGo) plugin for J-Pilot.
Name: jpilot-syncmal
Version: 0.71
Release: 1
Copyright: MPL
Group: Applications/Productivity
Packager: linuxkid <linux@peanutlinux.org>
Source: http://jasonday.home.att.net/code/syncmal/jpilot-syncmal_%{version}.tar.gz
URL: http://jasonday.home.att.net/code/syncmal/syncmal.html
Requires: jpilot
BuildRoot: %{_tmppath}/%{name}_%{version}

%description
SyncMAL is an interface to the command-line tool malsync, a program that
synchronizes a PDA with a MAL server such as AvantGo. See AvantGo's
homepage (http://avantgo.com) for more information on AvantGo and MAL.

%prep
%setup -n %{name}_%{version} -q

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/include
cp *.h $RPM_BUILD_ROOT/usr/include
cp malsync/mal/common/*.h $RPM_BUILD_ROOT/usr/include

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog MPL-1_0.txt TODO
/usr/lib/jpilot/plugins/libsyncmal.so
/usr/lib/jpilot/plugins/libsyncmal.la
/usr/include
